Package wx :: Package lib :: Package floatcanvas :: Module GUIMode :: Class GUIZoomIn

[frames | no frames]

## Type GUIZoomIn

    object --+
             |
       GUIBase --+
                 |
                GUIZoomIn

Method Summary
| `__init__(self, canvas)`
| `OnLeftDown(self, event)`
| `OnLeftUp(self, event)`
| `OnMove(self, event)`
| `OnRightDown(self, event)`
| `OnWheel(self, event)`
| ``UpdateScreen`(self)` Update gets called if the screen has been repainted in the middle of a zoom in so the Rubber Band Box can get updated

Class Variable Summary

Method Details

### UpdateScreen(self)

Update gets called if the screen has been repainted in the middle of a zoom in so the Rubber Band Box can get updated

  Overrides:
    `wx.lib.floatcanvas.GUIMode.GUIBase.UpdateScreen`

Generated by Epydoc 2.1.20050511.rpd on Mon Feb 16 12:51:22 2009 | http://epydoc.sf.net